<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(str_escape(trim(@$_POST["code"]))));
$desc = str_majuscules(strip_tags(str_escape(trim(@$_POST["desc"]))));
$taux = strip_tags(str_escape(trim(@$_POST["taux"])));
$actif = strip_tags(trim(@$_POST["actif"]));
if ($actif == "Oui")
	$actifok = TRUE;
else
	$actifok = FALSE;

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
switch ($td)
{
	// Ajout de la fiche TVA
	case "add" :
		$rech = "SELECT * FROM " .TBTVA. " WHERE `tva_code` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rs = mysql_query("INSERT INTO " .TBTVA. "(tva_code,tva_desc,tva_tx,tva_actif) VALUES ('$code','$desc','$taux','$actifok')") or die(mysql_error());
			$msg = $txt_fiche_add;
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;

	// Modification de la fiche TVA
	case "edit" :
		$rech = "UPDATE `" .TBTVA. "` SET `tva_desc`='".$desc."', `tva_tx`='".$taux."',`tva_actif`='".$actifok."' WHERE `tva_code` = '".$code."'";
		$rs = mysql_query($rech) or die(mysql_error());
		$msg = $txt_fiche_mod;
		break;

	// Suppression de la fiche TVA
	case "del" :
		$delok=TRUE;
		
		// Vérifie si utilisé dans une fiche produit
		$rexist = "SELECT * FROM `" .TBPDT. "` WHERE `pdt_codetva` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			$msg = "Cette TVA est utilis&eacute;e dans une fiche produit !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans une fiche produit sur intervention
		$rexist = "SELECT * FROM `" .TBPDTI. "` WHERE `pdti_codetva` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans une fiche produit sur intervention !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans une fiche contrat
		$rexist = "SELECT * FROM `" .TBCOCL. "` WHERE `cocl_codetva` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans un contrat !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans une taxe parafiscale
		$rexist = "SELECT * FROM `" .TBTPF. "` WHERE `tpf_codetva` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans une taxe parafiscale !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans une taxe sur intervention
		$rexist = "SELECT * FROM `" .TBTPFI. "` WHERE `tpfi_codetva` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans une taxe sur intervention !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans un produit à louer
		$rexist = "SELECT * FROM `" .TBPDTLOC. "` WHERE `pdtloc_tvacaut` = '$code' OR `pdtloc_tvacons1` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans un produit &agrave; louer !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans un barême de location
		$rexist = "SELECT * FROM `" .TBBARLOC. "` WHERE `barloc_codetva` = '$code' OR `barloc_tvacons1` = '$code' OR `barloc_tvacons2` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans un bar&ecirc;me de location !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		// Vérifie si utilisé dans un produit loué
		$rexist = "SELECT * FROM `" .TBPDTLBL. "` WHERE `pdtlbl_codetva` = '$code' OR `pdtlbl_tvacaut` = '$code' OR `pdtlbl_codetvaass` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			if ($msg<>"") $msg.="<br>";
			$msg.= "Cette TVA est utilis&eacute;e dans un produit lou&eacute; !";
			$delok=FALSE;
			$retourliste = FALSE;
		}

		if ($delok==TRUE)
		{
			// Non -> suppression de la fiche TVA
			$rech = "DELETE FROM `" .TBTVA. "` WHERE `tva_code` = '$code'";
			$rs = mysql_query($rech) or die(mysql_error());
			$msg = $txt_fiche_del;
		}
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche TVA</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

</head>
<body>

<?php 
	include_once("../inc/entete.inc.php"); 
?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>
<?PHP 
if ($retourliste == FALSE)
	aff_ret_idx_man($td,"tva_lst.php",$txt_lnk_ret_liste,TRUE);
else
	aff_ret_lst_auto("tva_lst.php",2000);
include_once("pied.php");
?>
